Canalplan Bug Tracker

Anonymous Login
2018-03-20 06:09 GMT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000327Canalplan [All Projects] Bugpublic2017-10-30 10:30
Assigned ToNick Atty 
PrioritynormalSeverityminorReproducibilityhave not tried
Product VersionProduct Build 
Target VersionFixed in Version 
Summary0000327: Some french places are over escaped

shows its "address" as

Rue de l'Écluse, Écuelles, Saône-et-Loire, Bourgogne Franche-Comté, France

rather than Rue de l'Écluse, Écuelles, Saône-et-Loire, Bourgogne Franche-Comté, France

Damn the editor - its removed the encoded apostrophe in the first line.
TagsNo tags attached.
Attached Files




Shultzy (updater)

I've noticed that some places with an "'" in the title show an "'" when the mouse is hovered over the place marker.


Nick Atty (administrator)

It's because the digest gets read from the database and written back - the auto-escape code therefore operates twice. I need to work out the least kludgy way to avoid this.


Nick Atty (administrator)

Should be fixed. A forced refresh and a revisit will fix if necessary. Also affected English places with apostrophes such as King's Lynn.


Autoclose (administrator)

Closing automatically, stayed too long in feedback state. Feel free to re-open with additional information if you think the issue is not resolved.

-Issue History
Date Modified Username Field Change
2017-09-23 15:10 user3 New Issue
2017-09-23 15:10 user3 Assigned To => Nick Atty
2017-09-23 15:10 user3 Status new => assigned
2017-09-23 15:23 user3 Description Updated View Revisions
2017-09-23 18:38 Shultzy Note Added: 0001294
2017-09-27 08:55 Nick Atty Note Added: 0001303
2017-09-30 11:23 Nick Atty Status assigned => resolved
2017-09-30 11:23 Nick Atty Resolution open => fixed
2017-09-30 11:23 Nick Atty Note Added: 0001310
2017-10-30 10:30 Autoclose Note Added: 0001371
2017-10-30 10:30 Autoclose Status resolved => closed
+Issue History